﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
        }
    }
    public class DateTimeAxisViewModel
    {
        public ObservableCollection<Production> Data { get; set; }

        public DateTimeAxisViewModel()
        {
            Data = new ObservableCollection<Production>();
            Data.Add(new Production() { XValue = "ACH/PMNT", Growth = 35 });
            Data.Add(new Production() { XValue = "Escrow", Growth = 23 });
            Data.Add(new Production() { XValue = "Loan info", Growth = 55 });
            Data.Add(new Production() { XValue = "Workout", Growth = 25 });
            Data.Add(new Production() { XValue = "Documents", Growth = 65 });            
        }
    }

    public class Production
    {
        public double Growth
        {
            get;
            set;
        }

        public DateTime Date
        {
            get;
            set;
        }


        public string XValue
        {
            get;
            set;
        }
    }
}
